Freeciv-3.1: server Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Data Fields
server Struct Reference

`#include <servers.h>`

## Data Structures

struct | players

## Data Fields

char * | host
int | port
char * | capability
char * | patches
char * | version
char * | state
char * | topic
char * | message
struct server::players * | players
int | nplayers
int | humans

## Detailed Description

Definition at line 28 of file servers.h.

## Field Documentation

## ◆ capability

char* server::capability

Definition at line 32 of file servers.h.

## ◆ host

char* server::host

Definition at line 30 of file servers.h.

Referenced by get_lan_server_list(), popup_connection_dialog(), and select_meta_servers_callback().

## ◆ humans

int server::humans

Definition at line 48 of file servers.h.

Referenced by get_lan_server_list().

## ◆ message

char* server::message

Definition at line 37 of file servers.h.

Referenced by get_lan_server_list(), and popup_connection_dialog().

## ◆ nplayers

int server::nplayers

Definition at line 47 of file servers.h.

Referenced by get_lan_server_list(), popup_connection_dialog(), fc_client::slot_selection_changed(), and update_server_playerlist().

## ◆ patches

char* server::patches

Definition at line 33 of file servers.h.

## ◆ players

struct server::players * server::players

Referenced by get_lan_server_list(), fc_client::slot_selection_changed(), and update_server_playerlist().

## ◆ port

int server::port

Definition at line 31 of file servers.h.

Referenced by get_lan_server_list(), popup_connection_dialog(), and select_meta_servers_callback().

## ◆ state

char* server::state

Definition at line 35 of file servers.h.

Referenced by get_lan_server_list(), and popup_connection_dialog().

## ◆ topic

char* server::topic

Definition at line 36 of file servers.h.

## ◆ version

char* server::version

Definition at line 34 of file servers.h.

Referenced by get_lan_server_list(), and popup_connection_dialog().